library(dplyr)
library(reshape2)
library(ggplot2)

setwd("~/Desktop/Gaia/Cloud/GoogleTraceData/src/main/R")
source(file.path("gtd.R"))

setwd("~/Desktop/Gaia/Cloud/GoogleTraceData/data")
resourcesDir <- "~/Desktop/Gaia/Cloud/GoogleTraceData/src/main/resources"

# Pretty pictures - Machines

qplot(machinesTypes$`Number of Cores`, machinesTypes$`RAM (GB)`,
          xlab = "Number of Cores", ylab = "RAM (GB)")
ggsave(file.path(resourcesDir, "Machine Types.png"))

qplot(machines$`Machine Type`, data = machines, 
      geom = "histogram", bins = 10, xlab = "Distrubution of Machine Types")
ggsave(file.path(resourcesDir, "Distrubution of Machine Types.png"))

# Pretty pictures - Tasks

qplot(taskTypes$`CPU (GHz)`, taskTypes$`RAM (GB)`,
      xlab = "CPU (GHz)", ylab = "RAM (GB)")
ggsave(file.path(resourcesDir, "Task Types.png"))

qplot(tasks$`Task Type`, data = tasks, 
      geom = "histogram", bins = 100, xlab = "Distrubution of Task Types")
ggsave(file.path(resourcesDir, "Distrubution of Machine Types.png"))

qplot(0, machineTaskCounts$`Number of Tasks`, geom="boxplot", 
      ylab="Number of Tasks per Machine")
ggsave(file.path(resourcesDir, "Number of Tasks per Machine.png"))

# Pretty pictures - Tasks Usage 

# Utilisation of Machine based on CPU Requested
qplot(0, usagePerMachine$`Tasks Requested CPU Util`, geom="boxplot", ylab="Utilisation")
ggsave(file.path(resourcesDir, "Utilisation of Machine based on CPU Requested.png"))

# Utilisation of Machine based on CPU Used)
qplot(0, usagePerMachine$`Tasks Usage CPU Util`, geom="boxplot", ylab="Utilisation")
ggsave(file.path(resourcesDir, "Utilisation of Machine based on CPU Used.png"))

# Utilisation of Machine based on memory Requested)
qplot(0, usagePerMachine$`Tasks Requested RAM Util`, geom="boxplot", ylab="Utilisation (max)")
ggsave(file.path(resourcesDir, "Utilisation of Machine based on Memory Requested.png"))

# Utilisation of Machine based on memory Used)
qplot(0, usagePerMachine$`Tasks Usage RAM Util`, geom="boxplot", ylab="Utilisation")
ggsave(file.path(resourcesDir, "Utilisation of Machine based on Memory Used.png"))


